High-Level Data Reduction Library: hdrl_terminate

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
hdrl_terminate
Catalogue

Check for objects that have terminated. More...

Collaboration diagram for hdrl_terminate:

## Functions
void | hdrl_terminate (ap_t *ap, double gain, cpl_size *nobjects, cpl_table *tab, hdrl_casu_result *res)
| Check for objects that have terminated.
void | hdrl_restack (ap_t *ap, cpl_size ip)
| Free information for an object from the ap structure.
void | hdrl_apfu (ap_t *ap)
| Get rid of the largest contributor in an ap structure.
void | hdrl_extract_data (ap_t *ap, cpl_size ip)
| Put data into the Plessey array for an object.

## Detailed Description

Check for objects that have terminated.

## Function Documentation

## ◆ hdrl_apfu()

void hdrl_apfu | ( | ap_t * | ap | ) |

Get rid of the largest contributor in an ap structure.

Parameters

  ap | The current ap structure

Description: The parents in the current ap structure are examined to see which has the largest number of pixels. That parent is junked.

## ◆ hdrl_extract_data()

void hdrl_extract_data | ( | ap_t * | ap,
|  | cpl_size | ip
| ) |  |

Put data into the Plessey array for an object.

Parameters

  ap | The current ap structure
  ip | The parent in question

Description: The information for the object from a given parent is extracted from the link list in the ap structure and put into the Plessey array in preparation for analysis.

## ◆ hdrl_restack()

void hdrl_restack | ( | ap_t * | ap,
|  | cpl_size | ip
| ) |  |

Free information for an object from the ap structure.

Parameters

  ap | The current ap structure
  ip | The parent number for the object

Description: The starting address for an object in the ap structure is given. Information relating to that object is erased and the space made available

## ◆ hdrl_terminate()

void hdrl_terminate | ( | ap_t * | ap,
|  | double | gain,
|  | cpl_size * | nobjects,
|  | cpl_table * | tab,
|  | hdrl_casu_result * | res
| ) |  |

Check for objects that have terminated.

Parameters

  ap | The current ap structure
  gain | The header keyword with the gain in e-/ADU
  nobjects | Number of detected objects
  tab | Output catalogue table
  res |

Description: The parents in the current ap structure are examined to see which have not grown since the last pass. Any that have not grown are sent to the processing routine.